/*
Hijackulator - ZX Spectrum emulator with support for native-code enhancements
Copyright (C) 2003 Matthew Westcott

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Some portions of this software originate from the JEMU project:
http://jemu.emuunlim.com/
*/

/*
 * Speccy48Memory.java
 *
 * Created on 27 April 2003, 16:43
 */

package org.zxdemo.hijackulator;

/**
 * Representation of the 48K Spectrum's memory
 * @author  Matthew Westcott
 */
public class Speccy48Memory extends Memory {
    
    protected byte[] mem = new byte[65536];
    protected SpeccyScreen display = null;
    
    public Speccy48Memory() {
        super("48K Spectrum memory");
    }
    
    public void setDisplay(SpeccyScreen display) {
        this.display = display;
    }
    
    public int readByte(int address) {
        return mem[address] & 0xff;
    }

    public void writeByte(int address, int value) {
        if (address > 16383) {
            mem[address] = (byte)value;
            if (address < 23296 && display != null) {
                this.display.drawByte(address, value);
            }
        }
    }

    public void setMemory(int address, byte[] data) {
        System.arraycopy(data,0,mem,address,data.length);
    }

    public byte[] getMemory() {
        return mem;
    }
}
