/*
Hijackulator - ZX Spectrum emulator with support for native-code enhancements
Copyright (C) 2003 Matthew Westcott

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Some portions of this software originate from the JEMU project:
http://jemu.emuunlim.com/
*/

/*
 * TrivialInterruptDevice.java
 *
 * Created on 29 April 2003, 20:23
 */

package org.zxdemo.hijackulator;

/**
 * Interrupt device that does nothing except reset the interrupt line
 * @author  Matthew Westcott
 */
public class TrivialInterruptDevice extends Device {
    
    protected Z80 p;
    
    /** Creates a new instance of TrivialInterruptDevice */
    public TrivialInterruptDevice(Z80 p) {
        super("Trivial interrupt device");
        this.p = p;
    }
    
    public void interrupt() {
        this.p.setInterruptPending(false);
    }
}
